fast-api/extend

There is no license information available for the latest version (dev-main) of this package.

common fast-api/extend

dev-main 2021-07-04 09:17 UTC

This package is auto-updated.

Last update: 2022-08-04 11:50:52 UTC


README

fast-api/extend 是一个快速生成构建Composer Packages包的处理和操作库,它提供了一种更容易表达的方式来创建,该软件包包括用于轻松集成Laravel的ServiceProviders和Facades 。

更多功能可以参考下面的文档。

在Laravel应用程序中使用官方fast-api/extend客户端的简便方法。

安装与配置

Fast-php Cloud Fast-api/Extend SDK for Laravel

安装 Laravel

本产品依赖Laravel需要安装 Laravel laravel/laravel package via composer:

composer create-project --prefer-dist laravel/laravel laravel "7.30.0"

安装 扩展包

composer require fast-api/extend dev-master

发布配置

php artisan vendor:publish --provider "Prettus\Repository\Providers\RepositoryServiceProvider"

生成扩展包

php artisan fast:packages "ControllerName" --package="packageName"

php artisan fast:bindings --package="packageName"

bug 建议 贡献和支持

请使用Github报告bug,并提出意见或建议。

请参阅CONTRIBUTING.md了解如何贡献更改。

文档

PHP开发技术交流(QQ群 368868750)

PHP开发技术交流 (SDK)

fast-api-extend 是基于laravel 7.x 封装,在做项目开发前,必需先阅读laravel官方文档。

存储库

fast-api-extend 为开源项目,允许把它用于任何地方,不受任何约束,欢迎 fork 项目。

版权和许可

fast-api/extend was written by fast-php and is released under the MIT License.

Copyright (c) 2021 fast-php